<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="@color/color_FFF1F2F5">

    <include
        android:id="@+id/v_bean_card"
        layout="@layout/layout_recharge_header_bean"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@drawable/common_bottom_dialog_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_bean_card">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="16dp"
            android:paddingTop="20dp"
            android:paddingBottom="24dp">

            <!--金币-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_coin"
                android:layout_width="0dp"
                android:layout_height="95dp"
                android:background="@drawable/common_wallet_coin_bg"
                app:layout_constraintEnd_toStartOf="@id/cl_diamond"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="5dp"
                    android:layout_marginBottom="5dp"
                    android:alpha="0.2"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:srcCompat="@drawable/common_wallet_coin_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_coin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:fontFamily="@font/poppins_semibold"
                    android:gravity="start|center_vertical"
                    android:includeFontPadding="false"
                    android:text="@string/wallet_convert_to_coin"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@id/btn_convert_coin"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_chainStyle="packed" />

                <com.adealink.weparty.commonui.widget.CommonButton
                    android:id="@+id/btn_convert_coin"
                    android:layout_width="wrap_content"
                    android:layout_height="24dp"
                    android:layout_marginTop="10dp"
                    android:fontFamily="@font/poppins_semibold"
                    android:includeFontPadding="false"
                    android:minWidth="60dp"
                    android:paddingHorizontal="4dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="@id/tv_coin"
                    app:layout_constraintTop_toBottomOf="@id/tv_coin"
                    app:text="@string/wallet_go_convert"
                    app:textColor="@color/color_FF1D2129"
                    app:textSize="12sp" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <!--钻石-->
            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_diamond"
                android:layout_width="0dp"
                android:layout_height="95dp"
                android:layout_marginStart="10dp"
                android:background="@drawable/common_wallet_diamond_bg"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/cl_coin"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginEnd="5dp"
                    android:layout_marginBottom="5dp"
                    android:alpha="0.2"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:srcCompat="@drawable/common_wallet_diamond_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_diamond"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:fontFamily="@font/poppins_semibold"
                    android:gravity="start|center_vertical"
                    android:includeFontPadding="false"
                    android:text="@string/wallet_convert_to_diamond"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    app:layout_constraintBottom_toTopOf="@id/btn_convert_diamond"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_chainStyle="packed" />

                <com.adealink.weparty.commonui.widget.CommonButton
                    android:id="@+id/btn_convert_diamond"
                    android:layout_width="wrap_content"
                    android:layout_height="24dp"
                    android:layout_marginTop="10dp"
                    android:fontFamily="@font/poppins_semibold"
                    android:includeFontPadding="false"
                    android:minWidth="60dp"
                    android:paddingHorizontal="4dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="@id/tv_diamond"
                    app:layout_constraintTop_toBottomOf="@id/tv_diamond"
                    app:text="@string/wallet_go_convert"
                    app:textColor="@color/color_FF1D2129"
                    app:textSize="12sp" />
            </androidx.constraintlayout.widget.ConstraintLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>